import * as React from 'react';
import { SvgQRCodeProps, CanvasQRCodeProps } from 'qrcode.react';
import './reactShareComponents.scss';
export declare const TShareSites: ['qzone', 'weibo', 'wechat', 'google', 'twitter', 'qq', 'douban', 'linkedin', 'facebook'];
export declare type ShareSitesTypes = typeof TShareSites[number];
export declare type ShareSitesTypesGroup = ShareSitesTypes[];
export interface ShareProps {
    url: string;
    title: string;
    description: string;
    source: string;
    summary: string;
    image: string;
    sites: ShareSitesTypesGroup;
    disabled: ShareSitesTypesGroup;
    origin: string;
    weiboKey: string;
    wechatQrcodeTitle: React.ReactNode;
    wechatQrcodeHelper: React.ReactNode;
    wechatQrcodeProps?: Partial<CanvasQRCodeProps | SvgQRCodeProps>;
}
export declare type ReactShareComponentsProps = Partial<ShareProps>;
declare const _default: React.FC<Partial<ShareProps>>;
export default _default;
